package com.dj.action.sys;

import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;

import com.dj.action.base.BaseAction;
import com.dj.pageModel.base.Json;
import com.dj.pageModel.sys.Area;
import com.dj.pageModel.sys.Group;
import com.dj.service.sys.AreaServiceI;
import com.dj.service.sys.GroupServiceI;
import com.dj.util.base.ExceptionUtil;
import com.opensymphony.xwork2.ModelDriven;

/**
 * 区域ACTION
 * 
 * @author lili
 * 
 */
@Action(value = "group", results = { @Result(name = "group", location = "/general/admin/group.jsp"), @Result(name = "groupAdd", location = "/general/admin/groupAdd.jsp"), @Result(name = "groupEdit", location = "/general/admin/groupEdit.jsp") })
public class GroupAction extends BaseAction implements ModelDriven<Group> {

	private static final long serialVersionUID = 1L;

	private static final Logger logger = Logger.getLogger(GroupAction.class);

	private GroupServiceI groupService;

	public GroupServiceI getGroupService() {
		return groupService;
	}

	@Autowired
	public void setGroupService(GroupServiceI groupService) {
		this.groupService = groupService;
	}

	private Group group = new Group();

	public Group getModel() {
		return group;
	}

	/**
	 * 动态获取区域树（当展开下级时才会加载下级区域）
	 */
	public void doNotNeedSession_tree() {
		super.writeJson(groupService.tree(group, false));
	}
	
	/**
	 * 一次性获取全部区域树
	 */
	public void doNotNeedSession_treeRecursive() {
		super.writeJson(groupService.tree(group, true));
	}

	public String group() {
		return "group";
	}

	/**
	 * 获得区域treegrid
	 */
	public void treegrid() {
		super.writeJson(groupService.treegrid(group));
	}

	/**
	 * 删除一个区域
	 */
	public void delete() {
		Json j = new Json();
		try {
			groupService.delete(group);
			j.setSuccess(true);
			j.setMsg("删除成功！");
			j.setObj(group.getCid());
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("删除失败！区域已使用!");
		}
		super.writeJson(j);
	}

	public String groupAdd() {
		return "groupAdd";
	}

	public void add() {
		Json j = new Json();
		try {
			groupService.add(group);
			j.setSuccess(true);
			j.setMsg("添加成功！");
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("添加失败！");
		}
		super.writeJson(j);
	}

	public String groupEdit() {
		return "groupEdit";
	}

	/**
	 * 编辑区域
	 */
	public void edit() {
		Json j = new Json();
		try {
			groupService.edit(group);
			j.setSuccess(true);
			j.setMsg("编辑成功!");
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("编辑失败！");
		}
		writeJson(j);
	}

}
