package com.dj.action.sys;

import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;
import com.dj.action.base.BaseAction;
import com.dj.pageModel.base.Json;
import com.dj.pageModel.sys.Gas;
import com.dj.pageModel.sys.Helpinfo;
import com.dj.pageModel.sys.Helpinfow;
import com.dj.service.sys.GasServiceI;
import com.dj.service.sys.HelpinfoServiceI;
import com.dj.util.base.ExceptionUtil;
import com.opensymphony.xwork2.ModelDriven;

/**
 * 人员定位 历史记录 ACTION
 * 
 * @author lili
 * 
 */
@Action(value = "helpinfo", results = {
		@Result(name = "helpinfo", location = "/general/admin/helpinfo.jsp"),
		@Result(name = "helpinfoEdit", location = "/general/admin/helpinfoEdit.jsp") })
public class HelpinfoAction extends BaseAction implements ModelDriven<Helpinfow> {

	private static final long serialVersionUID = 1L;

	private static final Logger logger = Logger.getLogger(HelpinfoAction.class);

	private HelpinfoServiceI helpinfoService;

	public HelpinfoServiceI getHelpinfoService() {
		return helpinfoService;
	}

	@Autowired
	public void setHelpinfoService(HelpinfoServiceI helpinfoService) {
		this.helpinfoService = helpinfoService;
	}

	private Helpinfow helpinfo = new Helpinfow();

	public Helpinfow getModel() {
		return helpinfo;
	}

	public String helpinfo() {
		return "helpinfo";
	}

	public String helpinfoEdit() {
		return "helpinfoEdit";
	}

	/**
	 * 获得bug数据表格
	 */
	public void datagrid() {
		super.writeJson(helpinfoService.datagrid(helpinfo));
	}
	
	public void delete() {
		Json j = new Json();
		try {
			helpinfoService.delete(helpinfo.getIds());
			j.setSuccess(true);
			j.setMsg("处理成功！");
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("处理失败！");
		}
		super.writeJson(j);
	}


	public void edit() {
		Json j = new Json();
		try {
			helpinfoService.update(helpinfo);
			j.setSuccess(true);
			j.setMsg("编辑成功!");
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("编辑失败！");
		}
		writeJson(j);
	}
	/**
	 * 删除所有
	 */
	public void editall()
	{
		Json j = new Json();
		try {
			helpinfoService.editall();
			j.setSuccess(true);
			j.setMsg("删除所有成功!");
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("删除所有失败！");
		}
		writeJson(j);
	}

}
