package com.dj.action.sys;

import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;

import com.dj.action.base.BaseAction;
import com.dj.pageModel.base.Json;
import com.dj.pageModel.sys.Area;
import com.dj.pageModel.sys.Minearea;
import com.dj.service.sys.AreaServiceI;
import com.dj.service.sys.MineareaServiceI;
import com.dj.util.base.ExceptionUtil;
import com.opensymphony.xwork2.ModelDriven;

/**
 * 矿区ACTION
 * 
 * @author lili
 * 
 */
@Action(value = "minearea", results = { @Result(name = "minearea", location = "/general/admin/minearea.jsp"), @Result(name = "mineareaAdd", location = "/general/admin/mineareaAdd.jsp"), @Result(name = "mineareaEdit", location = "/general/admin/mineareaEdit.jsp") })
public class MineareaAction extends BaseAction implements ModelDriven<Minearea> {

	private static final long serialVersionUID = 1L;

	private static final Logger logger = Logger.getLogger(MineareaAction.class);

	private MineareaServiceI mineareaService;

	public MineareaServiceI getMineareaService() {
		return mineareaService;
	}

	@Autowired
	public void setMineareaService(MineareaServiceI mineareaService) {
		this.mineareaService = mineareaService;
	}

	private Minearea minearea = new Minearea();

	public Minearea getModel() {
		return minearea;
	}

	/**
	 * 动态获取区域树（当展开下级时才会加载下级区域）
	 */
	public void doNotNeedSession_tree() {
		super.writeJson(mineareaService.tree(minearea, false));
	}
	
	/**
	 * 一次性获取全部区域树
	 */
	public void doNotNeedSession_treeRecursive() {
		super.writeJson(mineareaService.tree(minearea, true));
	}

	public String minearea() {
		return "minearea";
	}

	/**
	 * 获得区域treegrid
	 */
	public void treegrid() {
		super.writeJson(mineareaService.treegrid(minearea));
	}

	/**
	 * 删除一个区域
	 */
	public void delete() {
		Json j = new Json();
		try {
			mineareaService.delete(minearea);
			j.setSuccess(true);
			j.setMsg("删除成功！");
			j.setObj(minearea.getCid());
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("删除失败！区域已使用!");
		}
		super.writeJson(j);
	}

	public String mineareaAdd() {
		return "mineareaAdd";
	}

	public void add() {
		Json j = new Json();
		try {
			mineareaService.add(minearea);
			j.setSuccess(true);
			j.setMsg("添加成功！");
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("添加失败！");
		}
		super.writeJson(j);
	}

	public String mineareaEdit() {
		return "mineareaEdit";
	}

	/**
	 * 编辑区域
	 */
	public void edit() {
		Json j = new Json();
		try {
			mineareaService.edit(minearea);
			j.setSuccess(true);
			j.setMsg("编辑成功!");
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("编辑失败！");
		}
		writeJson(j);
	}

}
