package com.dj.action.sys;

import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;
import com.dj.action.base.BaseAction;
import com.dj.exception.ValidateFieldsException;
import com.dj.pageModel.base.Json;
import com.dj.pageModel.sys.Personinfo;
import com.dj.service.sys.PersoninfoServiceI;
import com.opensymphony.xwork2.ModelDriven;

/**
 * 人员管理ACTION
 * 
 * @author lili
 * 
 */
@Action(value = "personinfo", results = { @Result(name = "personinfo", location = "/general/admin/personinfo.jsp"), @Result(name = "personinfoAdd", location = "/general/admin/personinfoAdd.jsp"), @Result(name = "personinfoEdit", location = "/general/admin/personinfoEdit.jsp") })
public class PersoninfoAction extends BaseAction implements ModelDriven<Personinfo> {

	private static final long serialVersionUID = 1L;

	private static final Logger logger = Logger.getLogger(PersoninfoAction.class);

	private PersoninfoServiceI personinfoService;


	public PersoninfoServiceI getPersoninfoService() {
		return personinfoService;
	}

	@Autowired
	public void setPersoninfoService(PersoninfoServiceI personinfoService) {
		this.personinfoService = personinfoService;
	}

	private Personinfo personinfo = new Personinfo();

	public Personinfo getModel() {
		return personinfo;
	}

	public String personinfo() {
		return "personinfo";
	}

	public String personinfoAdd() {
		return "personinfoAdd";
	}

	public String personinfoEdit() {
		return "personinfoEdit";
	}

	

	

	/**
	 * 人员添加
	 */
	public void add() {
		Json j = new Json();
		try {
			personinfoService.save(personinfo);
			j.setMsg("添加成功！");
			j.setSuccess(true);
		} catch (ValidateFieldsException e) {
			j.setMsg(e.getLocalizedMessage());
		}
		super.writeJson(j);
	}

	/**
	 * 用户编辑
	 */
	public void edit() {
		Json j = new Json();
		try {
			personinfoService.update(personinfo);
			j.setSuccess(true);
			j.setMsg("编辑成功！");
		} catch (ValidateFieldsException e) {
			j.setMsg("编辑失败，用户名已存在！");
		}
		super.writeJson(j);
	}



	/**
	 * 用户删除
	 */
	public void delete() {
		Json j = new Json();
		personinfoService.delete(personinfo.getIds());
		j.setSuccess(true);
		j.setMsg("删除成功!");
		super.writeJson(j);
	}

	/**
	 * 获得用户datagrid
	 */
	public void datagrid() {
		super.writeJson(personinfoService.datagrid(personinfo));
	}

	/**
	 * 返回所有人员名称
	 */
	public void findAllPerson() {
		super.writeJson(personinfoService.findAllPerson());
	}
}
