package com.dj.action.sys;

import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;

import com.dj.action.base.BaseAction;
import com.dj.pageModel.base.Json;
import com.dj.pageModel.sys.Area;
import com.dj.pageModel.sys.Sensor;
import com.dj.pageModel.sys.Station;
import com.dj.service.sys.AreaServiceI;
import com.dj.service.sys.SensorServiceI;
import com.dj.service.sys.StationServiceI;
import com.dj.util.base.ExceptionUtil;
import com.opensymphony.xwork2.ModelDriven;

/**
 * 传感器  气体监测 风压风速ACTION
 * 
 * @author lili
 * 
 */
@Action(value = "sensor", results = { @Result(name = "sensor", location = "/general/admin/sensor.jsp"), @Result(name = "sensorAdd", location = "/general/admin/sensorAdd.jsp"), @Result(name = "sensorEdit", location = "/general/admin/sensorEdit.jsp") })
public class SensorAction extends BaseAction implements ModelDriven<Sensor> {

	private static final long serialVersionUID = 1L;

	private static final Logger logger = Logger.getLogger(SensorAction.class);

	private SensorServiceI sensorService;

	public SensorServiceI getSensorService() {
		return sensorService;
	}

	@Autowired
	public void setSensorService(SensorServiceI sensorService) {
		this.sensorService = sensorService;
	}

	private Sensor sensor = new Sensor();

	public Sensor getModel() {
		return sensor;
	}


	public String sensor() {
		return "sensor";
	}
	public String sensorAdd() {
		return "sensorAdd";
	}
	public String sensorEdit() {
		return "sensorEdit";
	}
	/**
	 * 获得基站数据表格
	 */
	public void datagrid() {
		super.writeJson(sensorService.datagrid(sensor));
	}

	/**
	 * 删除一个基站
	 */
	public void delete() {
		Json j = new Json();
		try {
			sensorService.delete(sensor.getIds());
			j.setSuccess(true);
			j.setMsg("删除成功！");
			j.setObj(sensor.getId());
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("删除失败！传感器已使用!");
		}
		super.writeJson(j);
	}

	

	public void add() {
		Json j = new Json();
		try {
			sensorService.add(sensor);
			j.setSuccess(true);
			j.setMsg("添加成功！");
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("添加失败！");
		}
		super.writeJson(j);
	}



	/**
	 * 编辑基站
	 */
	public void edit() {
		Json j = new Json();
		try {
			sensorService.update(sensor);
			j.setSuccess(true);
			j.setMsg("编辑成功!");
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("编辑失败！");
		}
		writeJson(j);
	}

}
