package com.dj.action.sys;

import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;
import com.dj.action.base.BaseAction;
import com.dj.pageModel.base.Json;
import com.dj.pageModel.sys.Station;
import com.dj.service.sys.StationServiceI;
import com.dj.util.base.ExceptionUtil;
import com.opensymphony.xwork2.ModelDriven;

/**
 * 基站ACTION
 * 
 * @author lili
 * 
 */
@Action(value = "station", results = {
		@Result(name = "station", location = "/general/admin/station.jsp"),
		@Result(name = "stationAdd", location = "/general/admin/stationAdd.jsp"),
		@Result(name = "stationEdit", location = "/general/admin/stationEdit.jsp") })
public class StationAction extends BaseAction implements ModelDriven<Station> {

	private static final long serialVersionUID = 1L;

	private static final Logger logger = Logger.getLogger(StationAction.class);

	private StationServiceI stationService;

	public StationServiceI getStationService() {
		return stationService;
	}

	@Autowired
	public void setStationService(StationServiceI stationService) {
		this.stationService = stationService;
	}

	private Station station = new Station();

	public Station getModel() {
		return station;
	}


	public String station() {
		return "station";
	}
	public String stationAdd() {
		return "stationAdd";
	}
	public String stationEdit() {
		return "stationEdit";
	}
	/**
	 * 获得基站数据表格
	 */
	public void datagrid() {
		super.writeJson(stationService.datagrid(station));
	}

	/**
	 * 删除一个基站
	 */
	public void delete() {
		Json j = new Json();
		try {
			stationService.delete(station.getIds());
			j.setSuccess(true);
			j.setMsg("删除成功！");
			j.setObj(station.getCid());
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("删除失败！基站已使用!");
		}
		super.writeJson(j);
	}

	

	public void add() {
		Json j = new Json();
		try {
			stationService.add(station);
			j.setSuccess(true);
			j.setMsg("添加成功！");
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("添加失败！");
		}
		super.writeJson(j);
	}



	/**
	 * 编辑基站
	 */
	public void edit() {
		Json j = new Json();
		try {
			stationService.update(station);
			j.setSuccess(true);
			j.setMsg("编辑成功!");
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("编辑失败！");
		}
		writeJson(j);
	}

}
